Install Google Calendar
curl --request GET \
--url https://api.trillet.ai/v1/api/gcal/install \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/gcal/install"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/gcal/install', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://accounts.google.com/o/oauth2/v2/auth?client_id=...&redirect_uri=...&scope=...&state=..."
}
Install Google Calendar
Get the Google Calendar OAuth authorization URL to connect your Google Calendar.
GET
/
v1
/
api
/
gcal
/
install
Install Google Calendar
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
Query Parameters
string
required
The call flow pathway ID to connect Google Calendar to.
Response Fields
string
The Google OAuth authorization URL. Redirect the user to this URL to authorize the connection.
{
"url": "https://accounts.google.com/o/oauth2/v2/auth?client_id=...&redirect_uri=...&scope=...&state=..."
}
⌘I
